<?php  
//$peccularSliderSingleChoice = getpeccularPostsType('slider');
$wp_customize->add_section(
    'peccular_slider_section',
    array(
        'title' => __( 'Slider', 'peccular' ),
        'panel' => 'peccular_premium_home_panel1',
        'priority' =>18
    )
); 

$wp_customize->add_setting('peccular_slider_nav', array(
   'sanitize_callback' => 'wp_kses_post',
)); 

$wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_slider_nav', array(
   'section' => 'peccular_slider_section',
   'priority' => 1,
   'buttons' => array(
      array(
         'name' => esc_html__('General', 'peccular-premium'),
         'icon' => 'dashicons dashicons-welcome-write-blog',
         'fields' => array(
            'slider_section_show_content',  
            'peccular_whatsapp_display',
            'peccular_sliderbaner_section_lbl'           
        ),
         'active' => true,
     ), 
      array(
        'name' => esc_html__('Style', 'peccular-premium'),
        'icon' => 'dashicons dashicons-art',
        'fields' => array(
            'peccular_sliderall_image_opacity',
            'peccular_slider_box_onload_effects',
            'sliderbutton_hvrscolor_one',
            'sliderheading_color_one',
            'sliderbutton_color_one',
            'sliderbtnbg_color_one',
            'EvenSlideBackground_color_one', 
            'Banner__ArrowsColor',
            'slider__indicColor', 
            'slider__acindicColor',
            'Banner__ArrowsBorderColor',
            'Banner__appColor',
            'Banner__appbgColor',
            'slider__tradeColor',
            'slider__tradebgColor'
        ),
    ),
      array(
        'name' => esc_html__('Layout', 'peccular-premium'),
        'icon' => 'dashicons dashicons-layout',
        'fields' => array(
            'peccular_slider_section_width',
            'peccular_slider_padding',
            'peccular_slider_section_t_padding',
            'peccular_slider_section_b_padding'
        ),
    )
  ),
)));

$wp_customize->add_setting(
    'slider_section_show_content',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
    )
);

$wp_customize->add_setting('peccular_sliderbaner_section_lbl', array('sanitize_callback'=>'peccular_sanitize_text'));
$wp_customize->add_control(
    new peccular_Info_Text( 
        $wp_customize,
        'peccular_sliderbaner_section_lbl',
        array(
            'settings'      => 'peccular_sliderbaner_section_lbl',
            'section'       => 'peccular_slider_section',
            'description'   => __( '<strong>Note:</strong> <strong>Set Slider Featured Image Of Resolution 1500*629 Or More Than This Resolution To Show All Content In Proper Way</strong> <br/>', 'peccular Premium' ),
        )
    )
);

$wp_customize->add_control(
    new peccular_Switch_Control(
        $wp_customize,
        'slider_section_show_content',
        array(
            'settings'      => 'slider_section_show_content',
            'section'       => 'peccular_slider_section',
            'label'         => __( 'Hide Title And Description On Slider', 'Luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'Luzuk' ),
                'off' => __( 'No', 'Luzuk' )
            ),
        )
    )
); 

$wp_customize->add_setting('peccular_sliderall_image_opacity',array(
    'default' => 0.5,
    'sanitize_callback' => 'peccular_sanitize_float'
));
$wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_sliderall_image_opacity',array(
    'label' => __('Overlay Opacity','peccular'),
    'section' => 'peccular_slider_section',
    'input_attrs' => array(
        'min' => 0,
        'max' => 1,
        'step' => 0.1,
    ),
)));


$wp_customize->add_setting('peccular_slider_section_width',array(
    'default' => 'Full Width',
    'sanitize_callback' => 'peccular_sanitize_choices',
));
$wp_customize->add_control('peccular_slider_section_width',array(
    'type' => 'select',
    'label' => __('Section Width','peccular'),
    'choices' => array (
        'Box Width' => __('Box Width','peccular'),
        'Full Width' => __('Full Width','peccular')
    ),
    'section' => 'peccular_slider_section',
));

$wp_customize->add_setting('peccular_slider_padding',array(
  'sanitize_callback'   => ''
));
$wp_customize->add_control('peccular_slider_padding',array(
  'label' => __('Section Padding','peccular'),
  'section' => 'peccular_slider_section'
));

$wp_customize->add_setting('peccular_slider_section_t_padding',array(
    'default' => '0',
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('peccular_slider_section_t_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_slider_section',
));

$wp_customize->add_setting('peccular_slider_section_b_padding',array(
    'default' => '0',
    'sanitize_callback' => 'sanitize_text_field'
));
$wp_customize->add_control('peccular_slider_section_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_slider_section',
));

// to show & hide another button
// to show & hide another button
$wp_customize->add_setting( 'peccular_whatsapp_display', array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'peccular_whatsapp_display', array( 'label' => 'Whatsapp Icon Display', 'section' => 'peccular_slider_section', 'settings' => 'peccular_whatsapp_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Whatsapp Icon', 'hide' => 'Hide Whatsapp Icon', ), ) ); 
// end to show & hide button

addColorPalatOption($wp_customize, 'sliderheading_color_one', 'peccular_slider_section', 'Heading Color', '');
addColorPalatOption($wp_customize, 'sliderbutton_color_one', 'peccular_slider_section', 'Button Text Color', '');
addColorPalatOption($wp_customize, 'sliderbtnbg_color_one', 'peccular_slider_section', 'Button BG Color', '');
addColorPalatOption($wp_customize, 'sliderbutton_hvrscolor_one', 'peccular_slider_section', 'Button Hover Text Color', '');

addColorPalatOption($wp_customize, 'EvenSlideBackground_color_one', 'peccular_slider_section', 'Overlay Color', '');
addColorPalatOption($wp_customize, 'Banner__ArrowsColor', 'peccular_slider_section', 'Arrows Color', '');
addColorPalatOption($wp_customize, 'Banner__ArrowsBorderColor', 'peccular_slider_section', 'Arrows Border Color', '');

addColorPalatOption($wp_customize, 'Banner__appColor', 'peccular_slider_section', 'Whatsapp Icon Color', '');
addColorPalatOption($wp_customize, 'Banner__appbgColor', 'peccular_slider_section', 'Whatsapp Icon BG Color', '');

addColorPalatOption($wp_customize, 'slider__tradeColor', 'peccular_slider_section', 'Right Side Button Color', '');
addColorPalatOption($wp_customize, 'slider__tradebgColor', 'peccular_slider_section', 'Right Side Button BG Color', '');

addColorPalatOption($wp_customize, 'slider__indicColor', 'peccular_slider_section', 'Indicator Color', '');
addColorPalatOption($wp_customize, 'slider__acindicColor', 'peccular_slider_section', 'Active Indicator Color', '');
?>